Name:       speexdsp
Summary:    An open-source, patent-free speech codec
Version:    1.2.1
Release:    1
License:    BSD
Source0:    http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.gz
URL:        http://www.speex.org/

Buildrequires:  autoconf automake libtool gdb

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package devel
Summary:	Speex development files
Requires:	%{name} = %{version}-%{release}

%description devel
Speex development files.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fiv
%configure --enable-shared \
%ifarch aarch64
    --disable-neon
%endif

%make_build

%install
%make_install

%delete_la_and_a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%license COPYING AUTHORS
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/speex/speex*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}.so

%files help
%defattr(644,root,root,755)
%doc NEWS README
%{_docdir}/%{name}/*.pdf

%changelog
* Mon Nov 7 2022 Bin Hu <hubin73@huawei.com> - 1.2.1-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update version 1.2.1

* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 1.2.0-3
- rebuild for next release

* Sat Sep 5 2020 dingyue <dingyue5@huawei.com> - 1.2.0-2
- modify Source0

* Fri Jan 10 2020 guanyalong <gyl93216@163.com> - 1.2.0-1
- update speexdsp to 1.2.0

* Thu Nov 21 2019 fangyufa<fangyufa1@huawei.com> - 1.2-3.rc3
- fix build problem for x86_64 platform

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 1.2-2.rc3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move the license

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2-1.rc3
- Package init
